package com.hzya.frame.plugin.oa.poorder.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @Description 接收NCC采购订单的请求
 * @Author xiangerlin
 * @Date 2025/6/12 17:03
 **/
public interface IPoOrderService {

    /**
     * 接收NCC的请求，并转换成OA的参数
     * @param reqJson
     * @return
     */
    JsonResultEntity buildOAParam(JSONObject reqJson);

    /**
     * OA审批事件
     * @param reqJson
     * @return
     */
    JsonResultEntity approvedEvent(JSONObject reqJson)throws Exception;
}
