package com.hzya.frame.sys.flow.service.impl;

import com.hzya.frame.sys.flow.entity.SysFlowStepAccountEntity;
import com.hzya.frame.sys.flow.dao.ISysFlowStepAccountDao;
import com.hzya.frame.sys.flow.service.ISysFlowStepAccountService;
import org.springframework.stereotype.Service; 
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * 流程步骤账户表(SysFlowStepAccount)表服务实现类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:28
 */
@Service(value = "sysFlowStepAccountService")
public class SysFlowStepAccountServiceImpl extends BaseService<SysFlowStepAccountEntity, String> implements ISysFlowStepAccountService {
     
    private ISysFlowStepAccountDao sysFlowStepAccountDao;
    
    @Autowired
	public void setSysFlowStepAccountDao(ISysFlowStepAccountDao dao) {
		this.sysFlowStepAccountDao = dao;
		this.dao = dao;
	}
}
