package com.hzya.frame.sys.flow.service.impl;

import com.hzya.frame.sys.flow.entity.SysFlowStepRelationEntity;
import com.hzya.frame.sys.flow.dao.ISysFlowStepRelationDao;
import com.hzya.frame.sys.flow.service.ISysFlowStepRelationService;
import org.springframework.stereotype.Service; 
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * 步骤关联关系表(SysFlowStepRelation)表服务实现类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:28
 */
@Service(value = "sysFlowStepRelationService")
public class SysFlowStepRelationServiceImpl extends BaseService<SysFlowStepRelationEntity, String> implements ISysFlowStepRelationService {
     
    private ISysFlowStepRelationDao sysFlowStepRelationDao;
    
    @Autowired
	public void setSysFlowStepRelationDao(ISysFlowStepRelationDao dao) {
		this.sysFlowStepRelationDao = dao;
		this.dao = dao;
	}
}
