package com.hzya.frame.plugin.oa.poorder.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.impl.BaseService;
import com.hzya.frame.plugin.oa.poorder.dao.IPoOrderExtDao;
import com.hzya.frame.plugin.oa.poorder.entity.PoOrderEntity;
import com.hzya.frame.plugin.oa.poorder.service.IPoOrderExtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2025/6/20 19:37
 **/
@Service(value = "poOrderExtServiceImpl")
public class PoOrderExtServiceImpl extends BaseService<PoOrderEntity,String> implements IPoOrderExtService {

    private IPoOrderExtDao poOrderExtDao;
    @Autowired

    public void setPoOrderExtDao(IPoOrderExtDao dao) {
        this.poOrderExtDao = dao;
        this.dao = dao;
    }


    /**
     * 更新校验字段，防止用户从OA侧发起采购订单
     *
     * @param entity
     */
    @DS("#entity.dataSourceCode")
    @Override
    public void updateVerifyFlag(PoOrderEntity entity) {
        poOrderExtDao.update(entity);
    }
}
