package com.hzya.frame.sys.flow.service.impl;

import com.hzya.frame.sys.flow.entity.SysFlowStepEntity;
import com.hzya.frame.sys.flow.dao.ISysFlowStepDao;
import com.hzya.frame.sys.flow.service.ISysFlowStepService;
import org.springframework.stereotype.Service; 
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;
/**
 * 流程步骤信息(SysFlowStep)表服务实现类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:27
 */
@Service(value = "sysFlowStepService")
public class SysFlowStepServiceImpl extends BaseService<SysFlowStepEntity, String> implements ISysFlowStepService {
     
    private ISysFlowStepDao sysFlowStepDao;
    
    @Autowired
	public void setSysFlowStepDao(ISysFlowStepDao dao) {
		this.sysFlowStepDao = dao;
		this.dao = dao;
	}
}
