package com.hzya.frame.seeyon.org.member.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.org.member.entity.UserViewEntity;

import java.util.List;

/**
 * @Description OA 人员视图
 * @Author xiangerlin
 * @Date 2025/6/15 16:36
 **/
public interface IUserViewService extends IBaseService<UserViewEntity,String> {

    /**
     * 查询全部 包含停用
     * @param entity
     * @return
     */
    List<UserViewEntity> queryAll(UserViewEntity entity);

    /**
     * 只查启用的
     * @param entity
     * @return
     */
    List<UserViewEntity> queryEnableList(UserViewEntity entity);

    /**
     * 根据人员编号查
     * @param entity
     * @return
     */
    UserViewEntity queryByStaffNumber(UserViewEntity entity);
}
